Subject: Re: [PATCH -next] netfilter: Use LOGLEVEL_<FOO> defines

From: Joe Perches <[email-masked]>
Date: Mon, 23 Mar 2015 08:36:59 -0700

On Tue, 2015-03-24 at 00:38 +1100, Stephen Rothwell wrote:
> Hi Joe,

Hi Stephen.

> I am not sure what you are getting at here.  kernel.h does not include
> kern_levels.h (but printk.h does).  I, for one, am always happier when
> necessary include files are explicitly included.

kernel.h -> printk.h -> kern_levels.h

No .c file in the tree does a specific #include
of kern_levels.h, only a couple of .S files.

Adding printk.h might be useful, but I think
that kernel.h is probably better.